#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	ChaSen
Summary:	Text::ChaSen - ChaSen library module for Perl
Summary(pl.UTF-8):	Text::ChaSen - moduł biblioteki ChaSen dla Perla
Name:		perl-Text-ChaSen
Version:	1.03
Release:	8
License:	distributable
Group:		Development/Languages/Perl
Source0:	http://www.daionet.gr.jp/~knok/chasen/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1f5f8b1c79b815c1bc7d171971f1f4a4
#Patch0:		http://www.daionet.gr.jp/~knok/chasen/%%{pnam}.pm-1.03-pod-fix.diff
URL:		http://www.daionet.gr.jp/~knok/chasen/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	chasen-devel
Requires:	chasen
Obsoletes:	chasen-perl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::ChaSen - ChaSen library module for Perl.

%description -l pl.UTF-8
Text::ChaSen - moduł biblioteki ChaSen dla Perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorarch}/Text/ChaSen.pm
%dir %{perl_vendorarch}/auto/Text/ChaSen
%{perl_vendorarch}/auto/Text/ChaSen/ChaSen.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Text/ChaSen/ChaSen.so
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Text-ChaSen.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 15e30e5
- rebuild with perl 5.18.0
- release 8 (by relup.sh)

* Mon Nov 19 2012 Jan Rękorajski <baggins@pld-linux.org> 3e3bd89
- release 7 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5b5579b
- release 6

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 96cc094
- rel 5

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> ae57793
- rel 4

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 844942a
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 24fddb7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a989ac5
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 27177ba
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> d1fe6f5
- massive: unfold macros in name/summary & other unifications

* Fri May 07 2004 ankry <ankry@pld-linux.org> 7afa4f2
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 4edd183
- fixed perl-devel BR

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> c7e4803
- new bconds

* Fri Sep 12 2003 twittner <twittner@pld-linux.org> b7d07ea
- Release 2: now rel.1 is for Ra* on RA-branch,
  rel.2 for newer than Ra*

* Mon Sep 01 2003 ankry <ankry@pld-linux.org> 357cee2
- md5

* Mon Sep 01 2003 Jakub Bogusz <qboosh@pld-linux.org> c4e42bf
- cleanups

* Mon Sep 01 2003 twittner <twittner@pld-linux.org> 88fb08a
- new, for namazu

